Subject: bug#22163: Feature request: Add support for key release event

From: John Wiegley <[email-masked]>
Date: Tue, 15 Dec 2015 12:27:08 -0800

>>>>> Simon Friis Vindum <[email-masked]> writes:

> I was thinking that one might define a new built-in function. It could for
> instance be called `define-key-release` and behave exactly like `define-key`
> except that the passed command would be triggered on key release instead of
> key press.
> 
> It seems to me like that would be backwards compatible and non-invasive.

Sure, from the point of view of `define-key', it would be. What I meant is
that key-handling right now is done on the basis of received events, and that
"key pressed down" is not an event. We only have "key pressed".

I don't know how hard it would be to break up key events into multiple phases,
or how backwards compatible it would be to see a union of up/down phases as
equivalent to what we know now as a "key press" event.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2